Subject: ranunculus

From: [email-masked] (go-man)
Date: 3 Apr 1995 17:37:49 GMT

This year's ranunculus that I planted haven't done as well as last year's
crop -- I think the wildflowers that share the bed smothered some of the
plants. My question is -- is it too late to plant more bulbs? I live in
San Diego (where we have the most gorgeous commercial ranunculus fields in
the world!) and it's starting to get warm and dry, finally. Can I give it
a try, or is it too late and should instead switch to summer bulbs?

Any advice would be appreciated.

Thanks,

Inigo

-- 
"The little man knows all ..."